Gets number of parameters

- « ReflectionFunctionAbstract::getNamespaceName

- ReflectionFunctionAbstract::getNumberOfRequiredParameters »

- PHP Manual
- ReflectionFunctionAbstract
- Gets number of parameters

# ReflectionFunctionAbstract::getNumberOfParameters

(PHP 5 >= 5.3.0, PHP 7, PHP 8)

ReflectionFunctionAbstract::getNumberOfParameters — Gets number of parameters

### Description

public ReflectionFunctionAbstract::getNumberOfParameters(): int

Get the number of parameters that a function defines, both optional and required.

### Parameters

This function has no parameters.

### Return Values

The number of parameters.

### See Also

- ReflectionFunctionAbstract::getNumberOfRequiredParameters() - Gets number of required parameters
- func_num_args() - Returns the number of arguments passed to the function